{
	UNIT AUFM ab for PurePascal
	(c) 1992  Stefan Bachert
	berarbeitet von Michael Schlter (@SL)
	Letzte nderung: 07.01.1993
}

UNIT aufm;

INTERFACE

USES GEM, ACS;

{$I AUF.I}

PROCEDURE auf_add;
var		z,
		res		: INTEGER;
		p		: POINTER;
		st		: STRING;
BEGIN
	getFreestring(AESTreePtr(ev_object), ZAHL, st);
	VAL(st, z, res);
	z := z + 1;
	STR(z, st);
	setFreestring(AESTreePtr(ev_object), ZAHL, st);
	ev_window^. obchange (ev_window, ZAHL, -1);
END;

PROCEDURE auf_sub;
VAR		z,
		res		: INTEGER;
		p		: POINTER;
		st		: STRING;
BEGIN
	getFreestring(AESTreePtr(ev_object), ZAHL, st);
	VAL(st, z, res);
	z := z - 1;
	STR(z, st);
	setFreestring(AESTreePtr(ev_object), ZAHL, st);
	ev_window^. obchange (ev_window, ZAHL, -1);
END;

PROCEDURE call_ok;
BEGIN
	A_dialog (@About_me);
END;

FUNCTION hello_make (para: Pointer): AwindowPtr;
VAR		wi		: AwindowPtr;
BEGIN
	wi := Awi_create (@HELLO);
	IF wi <> NIL THEN
	BEGIN
		setFreestring(AESTreePtr(wi^.work), ZAHL, '0');
		wi^. open (wi);
	END;
	hello_make := wi;
END;

BEGIN
END.